Page MenuHomePhabricator

Translation of namespaces for Gilaki
Open, Needs TriagePublic

Description

Translate namespace names into Gilaki.

Event Timeline

Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald Transcript
Varg triaged this task as High priority.
Varg updated the task description. (Show Details)
Varg removed projects: SRE-Access-Requests, SRE.
Varg changed Security from None to Access Request.
Varg edited subscribers, added: Varg; removed: Aklapper, StudiesWorld.
Aklapper closed this task as Invalid.EditedDec 22 2015, 12:06 PM
Aklapper claimed this task.

Hi @Varg. This does not sound like something is wrong in the code of MediaWiki (a so-called "bug"), but instead like a support request (how to change settings, questions how to do something, etc.). As Wikimedia Phabricator/Maniphest is only for specific reports and enhancement requests, please use the MediaWiki Support Desk for support requests, or in this case the #mediawiki-i18n IRC channel or mediawiki-i18n. Thanks!

For future reference, please see https://mediawiki.org/wiki/How_to_report_a_bug

Aklapper raised the priority of this task from High to Needs Triage.Dec 22 2015, 12:06 PM
Aklapper changed Security from Access Request to None.

Hi @Varg. This does not sound like something is wrong in the code of MediaWiki (a so-called "bug"), but instead like a support request (how to change settings, questions how to do something, etc.). As Wikimedia Phabricator/Maniphest is only for specific reports and enhancement requests, please use the MediaWiki Support Desk for support requests, or in this case the #mediawiki-i18n IRC channel or mediawiki-i18n. Thanks!

For future reference, please see https://mediawiki.org/wiki/How_to_report_a_bug

Please also edit the task listed under "Blocked By" by setting its status to INVALID as this is not an 'access request" in a security context. Thank you!

I am so confused! How could I translate namespaces? How, where and what should I do? I there a simple help ouranswer?

To translate namespaces, file a new task here on Phabricator.

Also please tell us where you read about AdvancedTranslate. It has not been available for a couple of years.

So sorry. I thought that I can ask help about wiki translating here. I created a new topic in MediaWiki Support Desk.

@Varg: Please see T122127#1897559 and https://mediawiki.org/wiki/How_to_report_a_bug and https://meta.wikimedia.org/wiki/Requesting_wiki_configuration_changes

I had no idea what this task was about as it was so short and without any pointers to some context, so my reference to MediaWiki Support Desk might now turn out to not be the best place either. :-/

My ask was about translating in Wikipedia.
I am admin in GilakiWikipedia and I am translaing its menus from english into gilaki in Translatewiki.
I found out that I cant translate namespaces (Talk, File, Help, Template, User, etc) into Gilaki. I have not access to those.
So, I want to know how I could translate these namespaces?
This was my question. :)

TTO renamed this task from Advanced translate: namespaces. to Translation of namespaces for Gilaki .Dec 22 2015, 1:41 PM
TTO reopened this task as Open.
TTO removed Aklapper as the assignee of this task.
TTO updated the task description. (Show Details)

Sorry for the confusion! Andre was not aware that Phabricator is indeed the right place to request translation of namespaces.

Please provide translations of the following namespace names:

Media
Special
Talk
User
User talk
File
File talk
MediaWiki
MediaWiki talk
Template
Template talk
Help
Help talk
Category
Category talk

https://translatewiki.net/wiki/Translating:MediaWiki#Translating_namespace_names seems to have relevant info for those that want to write a patch. Maybe https://www.mediawiki.org/wiki/Localisation#Namespaces needs some updates how to request that.

Also please tell us where you read about AdvancedTranslate. It has not been available for a couple of years.

@TTO: https://translatewiki.net/wiki/FAQ#Aren_t_localized_namespace_names_part_of_interface_translation?_%28can_t_these_be_used_in_translated_messages?%29 mentions "Special:AdvancedTranslate".

Sorry for the confusion! Andre was not aware that Phabricator is indeed the right place to request translation of namespaces.

Please provide translations of the following namespace names:

Media
Special
Talk
User
User talk
File
File talk
MediaWiki
MediaWiki talk
Template
Template talk
Help
Help talk
Category
Category talk

Thank you!
Here you are:

Media:مديا
Special:خاص
Talk:گب
User:کارگير
User talk:کارگيرˇ گب
File:فاىل
File talk:فاىلˇ گب
MediaWiki:مدياويکي
MediaWiki talk:مدياويکي گب
Template:قالب
Template talk:قالبˇ گب
Help:رانما
Help talk:رانما گب
Category:جرگه
Category talk:جرگه گب

And these:
Main:گت
Image:تاتاىي
Portal:دروازه
Book:کتاب
Draft:چکنيويس
Education:آمۊزشي برنامه
TimedText:همزمت وؤت
Module:ماجۊل
Topic:مؤضۊع
Gadget:هأکارى

Change 260960 had a related patch set uploaded (by TTO):
Namespace translations for Gilaki (glk)

https://gerrit.wikimedia.org/r/260960

@Varg: Please check https://gerrit.wikimedia.org/r/#/c/260960/1/languages/messages/MessagesGlk.php for mistakes.

For NS_PROJECT_TALK, the $1 is replaced with the name of the project (for example, ويکيپديا).

TTO changed the task status from Open to Stalled.Dec 25 2015, 10:50 AM

Please confirm the names of the following namespaces:

TimedText talk
Module talk
Gadget talk
Gadget definition talk

Change 260960 merged by jenkins-bot:
Namespace translations for Gilaki (glk)

https://gerrit.wikimedia.org/r/260960

@Varg: Please check https://gerrit.wikimedia.org/r/#/c/260960/1/languages/messages/MessagesGlk.php for mistakes.

For NS_PROJECT_TALK, the $1 is replaced with the name of the project (for example, ويکيپديا).

Thnaks a lot. But I think there is a mistake or I did not underestan what is it. in this row:
NS_PROJECT_TALK => 'مدي_$1',
What is its english translate? (To find out if its Gilaki is true)

That's the project talk namespace. For example, "Wikipedia talk", "Wiktionary talk", "Wikisource talk" etc. The $1 is replaced by the site name. So the NS_PROJECT_TALK string should be the translation of "$1 talk", where the "$1" will be replaced by MediaWiki with the name of a wiki project (Wikipedia, Wiktionary, Wikisource, etc.)

Please confirm the names of the following namespaces:

TimedText talk:همزمت وؤتˇ گب
Module talk:ماجۊلˇ گب
Gadget talk:هأکارىˇ گب
Gadget definition talk:هأکارىˇ حۊدۊدˇ گب

That's the project talk namespace. For example, "Wikipedia talk", "Wiktionary talk", "Wikisource talk" etc. The $1 is replaced by the site name. So the NS_PROJECT_TALK string should be the translation of "$1 talk", where the "$1" will be replaced by MediaWiki with the name of a wiki project (Wikipedia, Wiktionary, Wikisource, etc.)

Ok. So that row must be changed to:
NS_PROJECT_TALK => '$1ˇ گب'
or:
NS_PROJECT_TALK => '$1ˇ_گب'

Nikerabbit removed a project: Patch-For-Review.
Nikerabbit subscribed.

@TTO Could you check what is needed to bring this task to completion?

There need to be patches uploaded for TimedText, Scribunto and Gadgets.

There really needs to be a better way to do namespace translations. The current system wastes people's time.

Dzahn removed a subtask: Restricted Task.Feb 6 2018, 9:08 PM
Aklapper changed the task status from Stalled to Open.May 10 2020, 8:35 PM

I don't see anything that this task is stalled on ("If a report is waiting for further input (e.g. from its reporter or a third party) and can currently not be acted on"). Hence resetting task status.

سلام
آدرس ایمیل ورگ تغییر کرده. لطفا با این آدرس مکاتبه کنید:

deadgil6man@gmail.com

Change 891946 had a related patch set uploaded (by Jon Harald Søby; author: Jon Harald Søby):

[mediawiki/extensions/Scribunto@master] Add namespace translations for [glk] Gilaki

https://gerrit.wikimedia.org/r/891946

Change 891946 merged by jenkins-bot:

[mediawiki/extensions/Scribunto@master] Add namespace translations for [glk] Gilaki

https://gerrit.wikimedia.org/r/891946